Vai al contenuto
Kal El2

Lisp per scongelamento layer

Recommended Posts

Salve tutti, vorrei porre un problema che ho da un pò di tempo riguardante i layer nelle ultime versioni di AutoCAD.

Ho da sempre utilizzato un lisp che mi permetteva di scongelare uno ad uno in ordine cronologico i layer precedentemente congelati, lo trovo molto comodo perché mi evita di aprire la finestra di gestione dei layer, velocizzando di molto la re-visualizzazione dei layer.

Per chi non avesse capito il comando funziona così:

1) Congelo i layer 1, 2, 3, 5, 6 col comando "Layer, Congelamento layer" (CONGLAY)

2) Faccio le operazioni che mi servono

3) Tramite questo comando riaccendo in successione i layer precedentemente congelati in maniera cronologica dall'ultimo al primo: 6, 5, 3, 2, 1

Il lisp è questo:

"APSPEN.LISP"

Contenuto:

;PROGRAMMA IN COLLEGAMENTO A SPG.LSP PER RIACCENDERE

;PIANI SPENTI IN SUCCESSIONE L.I.F.O.

;FBI

(DEFUN C:APSPEN (/)

(SETQ PIACC (CAR PIASPEN)

PIASPEN (CDR PIASPEN));SETQ

(COMMAND "_.LAYER" "_T" PIACC "")

);DEFUN

Il mio problema è che nelle ultime versioni di AutoCAD questo lisp non funziona più.

Non c'è qualche "surrogato"? :-D

Grazie in anticipo a tutti.APSPEN.rar


Modificato da Kal-El

Condividi questo messaggio


Link al messaggio
Condividi su altri siti

Il lisp va usato in abbinamento con SPG.LSP che evidentemente memorizza in una variabile i nomi dei layer congelati, se usi CONGLAY questi non vengono memorizzati per un successivo scongelamento.

Condividi questo messaggio


Link al messaggio
Condividi su altri siti

Se non lo trovi usa questo per congelare. :)


(defun C:CONLAY (/)

    (setq LAY (cdr (assoc 8 (entget (car (entsel "\nSelezionare un oggetto sul layer da congelare "))))))

    (if (/= LAY (getvar "clayer"))

	(progn

	    (if (/= PIASPEN nil)(setq PIASPEN (reverse (append (reverse PIASPEN) (list LAY)))))

	    (if (= PIASPEN nil) (setq PIASPEN (list LAY)))

	    (command "_LAYER" "_F" LAY "")

	)

    )


    (if (= LAY (getvar "clayer"))

	(progn

	    (alert "\nSelezionato un oggetto sul layer corrente")

	    (exit)

	)

    )    

)



Condividi questo messaggio


Link al messaggio
Condividi su altri siti

Il lisp va usato in abbinamento con SPG.LSP che evidentemente memorizza in una variabile i nomi dei layer congelati, se usi CONGLAY questi non vengono memorizzati per un successivo scongelamento.

Ho anche SPG.LSP, te lo posto.

SPG.rar

Condividi questo messaggio


Link al messaggio
Condividi su altri siti

Crea un account o accedi per commentare

Devi essere un utente per poter lasciare un commento

Crea un account

Registrati per un nuovo account nella nostra comunità. è facile!

Registra un nuovo account

Accedi

Hai già un account? Accedi qui.

Accedi ora

  • Navigazione recente   0 utenti

    Non ci sono utenti registrati da visualizzare in questa pagina.

×